Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.content
Class X509Data

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.SignatureElementProxy
              org.apache.xml.security.keys.content.X509Data

All Implemented Interfaces:
  KeyInfoContent

    public class X509Data

extends SignatureElementProxy
implements KeyInfoContent

Field Summary

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc`

Constructor Summary
`X509Data(org.w3c.dom.Document doc)` Constructor X509Data
`X509Data(org.w3c.dom.Element element, java.lang.String baseURI)` Constructor X509Data

Method Summary
`void` | `add(XMLX509Certificate xmlX509Certificate)` Method add
`void` | `add(XMLX509CRL xmlX509CRL)` Method add
`void` | `add(XMLX509Digest xmlX509Digest)` Method add
`void` | `add(XMLX509IssuerSerial xmlX509IssuerSerial)` Method add
`void` | `add(XMLX509SKI xmlX509SKI)` Method add
`void` | `add(XMLX509SubjectName xmlX509SubjectName)` Method add
`void` | `addCertificate(byte[] x509certificateBytes)` Method addCertificate
`void` | `addCertificate(java.security.cert.X509Certificate x509certificate)` Method addCertificate
`void` | `addCRL(byte[] crlBytes)` Method addCRL
`void` | `addDigest(byte[] x509certificateDigestBytes, java.lang.String algorithmURI)` Method addDigest
`void` | `addDigest(java.security.cert.X509Certificate x509certificate, java.lang.String algorithmURI)` Method addDigest
`void` | `addIssuerSerial(java.lang.String X509IssuerName, java.math.BigInteger X509SerialNumber)` Method addIssuerSerial
`void` | `addIssuerSerial(java.lang.String X509IssuerName, int X509SerialNumber)` Method addIssuerSerial
`void` | `addIssuerSerial(java.lang.String X509IssuerName, java.lang.String X509SerialNumber)` Method addIssuerSerial
`void` | `addSKI(byte[] skiBytes)` Method addSKI
`void` | `addSKI(java.security.cert.X509Certificate x509certificate)` Method addSKI
`void` | `addSubjectName(java.lang.String subjectName)` Method addSubjectName
`void` | `addSubjectName(java.security.cert.X509Certificate x509certificate)` Method addSubjectName
`void` | `addUnknownElement(org.w3c.dom.Element element)` Method addUnknownElement
`boolean` | `containsCertificate()` Method containsCertificate
`boolean` | `containsCRL()` Method containsCRL
`boolean` | `containsDigest()` Method containsDigest
`boolean` | `containsIssuerSerial()` Method containsIssuerSerial
`boolean` | `containsSKI()` Method containsSKI
`boolean` | `containsSubjectName()` Method containsSubjectName
`boolean` | `containsUnknownElement()` Method containsUnknownElement
`java.lang.String` | `getBaseLocalName()` Returns the localname of the Elements of the sub-class.
`XMLX509Certificate` | `itemCertificate(int i)` Method itemCertificate
`XMLX509CRL` | `itemCRL(int i)` Method itemCRL
`XMLX509Digest` | `itemDigest(int i)` Method itemDigest
`XMLX509IssuerSerial` | `itemIssuerSerial(int i)` Method itemIssuerSerial
`XMLX509SKI` | `itemSKI(int i)` Method itemSKI
`XMLX509SubjectName` | `itemSubjectName(int i)` Method itemSubjectName
`org.w3c.dom.Element` | `itemUnknownElement(int i)` Method itemUnknownElement
`int` | `lengthCertificate()` Method lengthCertificate
`int` | `lengthCRL()` Method lengthCRL
`int` | `lengthDigest()` Method lengthDigest
`int` | `lengthIssuerSerial()` Method lengthIssuerSerial
`int` | `lengthSKI()` Method lengthSKI
`int` | `lengthSubjectName()` Method lengthSubjectName
`int` | `lengthUnknownElement()` Method lengthUnknownElement

Methods inherited from class org.apache.xml.security.utils.SignatureElementProxy
`getBaseNamespace`

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509Data

    public X509Data(org.w3c.dom.Document doc)

  Constructor X509Data

  Parameters:
    `doc` -

### X509Data

    public X509Data(org.w3c.dom.Element element,
                    java.lang.String baseURI)
             throws XMLSecurityException

  Constructor X509Data

  Parameters:
    `element` -
    `baseURI` -
  Throws:
    `XMLSecurityException`

Method Detail

### addIssuerSerial

    public void addIssuerSerial(java.lang.String X509IssuerName,
                                java.math.BigInteger X509SerialNumber)

  Method addIssuerSerial

  Parameters:
    `X509IssuerName` -
    `X509SerialNumber` -

### addIssuerSerial

    public void addIssuerSerial(java.lang.String X509IssuerName,
                                java.lang.String X509SerialNumber)

  Method addIssuerSerial

  Parameters:
    `X509IssuerName` -
    `X509SerialNumber` -

### addIssuerSerial

    public void addIssuerSerial(java.lang.String X509IssuerName,
                                int X509SerialNumber)

  Method addIssuerSerial

  Parameters:
    `X509IssuerName` -
    `X509SerialNumber` -

### add

    public void add(XMLX509IssuerSerial xmlX509IssuerSerial)

  Method add

  Parameters:
    `xmlX509IssuerSerial` -

### addSKI

    public void addSKI(byte[] skiBytes)

  Method addSKI

  Parameters:
    `skiBytes` -

### addSKI

    public void addSKI(java.security.cert.X509Certificate x509certificate)
                throws XMLSecurityException

  Method addSKI

  Parameters:
    `x509certificate` -
  Throws:
    `XMLSecurityException`

### add

    public void add(XMLX509SKI xmlX509SKI)

  Method add

  Parameters:
    `xmlX509SKI` -

### addSubjectName

    public void addSubjectName(java.lang.String subjectName)

  Method addSubjectName

  Parameters:
    `subjectName` -

### addSubjectName

    public void addSubjectName(java.security.cert.X509Certificate x509certificate)

  Method addSubjectName

  Parameters:
    `x509certificate` -

### add

    public void add(XMLX509SubjectName xmlX509SubjectName)

  Method add

  Parameters:
    `xmlX509SubjectName` -

### addCertificate

    public void addCertificate(java.security.cert.X509Certificate x509certificate)
                        throws XMLSecurityException

  Method addCertificate

  Parameters:
    `x509certificate` -
  Throws:
    `XMLSecurityException`

### addCertificate

    public void addCertificate(byte[] x509certificateBytes)

  Method addCertificate

  Parameters:
    `x509certificateBytes` -

### add

    public void add(XMLX509Certificate xmlX509Certificate)

  Method add

  Parameters:
    `xmlX509Certificate` -

### addCRL

    public void addCRL(byte[] crlBytes)

  Method addCRL

  Parameters:
    `crlBytes` -

### add

    public void add(XMLX509CRL xmlX509CRL)

  Method add

  Parameters:
    `xmlX509CRL` -

### addDigest

    public void addDigest(java.security.cert.X509Certificate x509certificate,
                          java.lang.String algorithmURI)
                   throws XMLSecurityException

  Method addDigest

  Parameters:
    `x509certificate` -
    `algorithmURI` -
  Throws:
    `XMLSecurityException`

### addDigest

    public void addDigest(byte[] x509certificateDigestBytes,
                          java.lang.String algorithmURI)

  Method addDigest

  Parameters:
    `x509CertificateDigestByes` -
    `algorithmURI` -

### add

    public void add(XMLX509Digest xmlX509Digest)

  Method add

  Parameters:
    `XMLX509Digest` -

### addUnknownElement

    public void addUnknownElement(org.w3c.dom.Element element)

  Method addUnknownElement

  Parameters:
    `element` -

### lengthIssuerSerial

    public int lengthIssuerSerial()

  Method lengthIssuerSerial

  Returns:
    the number of IssuerSerial elements in this X509Data

### lengthSKI

    public int lengthSKI()

  Method lengthSKI

  Returns:
    the number of SKI elements in this X509Data

### lengthSubjectName

    public int lengthSubjectName()

  Method lengthSubjectName

  Returns:
    the number of SubjectName elements in this X509Data

### lengthCertificate

    public int lengthCertificate()

  Method lengthCertificate

  Returns:
    the number of Certificate elements in this X509Data

### lengthCRL

    public int lengthCRL()

  Method lengthCRL

  Returns:
    the number of CRL elements in this X509Data

### lengthDigest

    public int lengthDigest()

  Method lengthDigest

  Returns:
    the number of X509Digest elements in this X509Data

### lengthUnknownElement

    public int lengthUnknownElement()

  Method lengthUnknownElement

  Returns:
    the number of UnknownElement elements in this X509Data

### itemIssuerSerial

    public XMLX509IssuerSerial itemIssuerSerial(int i)
                                         throws XMLSecurityException

  Method itemIssuerSerial

  Parameters:
    `i` -
  Returns:
    the X509IssuerSerial, null if not present
  Throws:
    `XMLSecurityException`

### itemSKI

    public XMLX509SKI itemSKI(int i)
                       throws XMLSecurityException

  Method itemSKI

  Parameters:
    `i` -
  Returns:
    the X509SKI, null if not present
  Throws:
    `XMLSecurityException`

### itemSubjectName

    public XMLX509SubjectName itemSubjectName(int i)
                                       throws XMLSecurityException

  Method itemSubjectName

  Parameters:
    `i` -
  Returns:
    the X509SubjectName, null if not present
  Throws:
    `XMLSecurityException`

### itemCertificate

    public XMLX509Certificate itemCertificate(int i)
                                       throws XMLSecurityException

  Method itemCertificate

  Parameters:
    `i` -
  Returns:
    the X509Certifacte, null if not present
  Throws:
    `XMLSecurityException`

### itemCRL

    public XMLX509CRL itemCRL(int i)
                       throws XMLSecurityException

  Method itemCRL

  Parameters:
    `i` -
  Returns:
    the X509CRL, null if not present
  Throws:
    `XMLSecurityException`

### itemDigest

    public XMLX509Digest itemDigest(int i)
                             throws XMLSecurityException

  Method itemDigest

  Parameters:
    `i` -
  Returns:
    the X509Digest, null if not present
  Throws:
    `XMLSecurityException`

### itemUnknownElement

    public org.w3c.dom.Element itemUnknownElement(int i)

  Method itemUnknownElement

  Parameters:
    `i` -
  Returns:
    the Unknown Element at i TODO implement

### containsIssuerSerial

    public boolean containsIssuerSerial()

  Method containsIssuerSerial

  Returns:
    true if this X509Data contains a IssuerSerial

### containsSKI

    public boolean containsSKI()

  Method containsSKI

  Returns:
    true if this X509Data contains a SKI

### containsSubjectName

    public boolean containsSubjectName()

  Method containsSubjectName

  Returns:
    true if this X509Data contains a SubjectName

### containsCertificate

    public boolean containsCertificate()

  Method containsCertificate

  Returns:
    true if this X509Data contains a Certificate

### containsDigest

    public boolean containsDigest()

  Method containsDigest

  Returns:
    true if this X509Data contains an X509Digest

### containsCRL

    public boolean containsCRL()

  Method containsCRL

  Returns:
    true if this X509Data contains a CRL

### containsUnknownElement

    public boolean containsUnknownElement()

  Method containsUnknownElement

  Returns:
    true if this X509Data contains an UnknownElement

### getBaseLocalName

    public java.lang.String getBaseLocalName()

  Description copied from class: `ElementProxy`
  Returns the localname of the Elements of the sub-class.

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD